"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _mobx = require("mobx");

var _countriesListPage = _interopRequireDefault(require("./countries-list-page.store"));

(0, _mobx.configure)({
  enforceActions: 'always'
});
/**
 * Countries Product store
 */

var CountriesProductStore =
/**
 * constructor
 * @param {Object} initialState
 */
function CountriesProductStore() {
  var initialState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  (0, _classCallCheck2["default"])(this, CountriesProductStore);
  this.countriesList = new _countriesListPage["default"](initialState.countriesList);
};

exports["default"] = CountriesProductStore;
