"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapInitialStateToStoreState = mapInitialStateToStoreState;

/**
 * map initial state for as store to store state
 * @param {object} store
 * @param {object} initialState
 */
function mapInitialStateToStoreState(store) {
  var initialState = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  Object.keys(initialState).forEach(function (key) {
    store[key] = initialState[key];
  });
}