"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _joi = _interopRequireDefault(require("@hapi/joi"));

var _default = _joi["default"].object().keys({
  name: _joi["default"].string().required(),
  capital: _joi["default"].string().required().allow(''),
  region: _joi["default"].string().required().allow(''),
  code: _joi["default"].string().required().allow(''),
  population: _joi["default"].number().required(),
  currencies: _joi["default"].array().items(_joi["default"].string()),
  languages: _joi["default"].array().items(_joi["default"].string())
});

exports["default"] = _default;