"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _joi = _interopRequireDefault(require("@hapi/joi"));

var _default = _joi["default"].object().keys({
  languages: _joi["default"].array().items(_joi["default"].object().keys({
    groupId: _joi["default"].string().required(),
    value: _joi["default"].string().required(),
    count: _joi["default"].number().required()
  })).required(),
  currencies: _joi["default"].array().items(_joi["default"].object().keys({
    groupId: _joi["default"].string().required(),
    value: _joi["default"].string().required(),
    count: _joi["default"].number().required()
  })).required(),
  regions: _joi["default"].array().items(_joi["default"].object().keys({
    groupId: _joi["default"].string().required(),
    value: _joi["default"].string().required(),
    count: _joi["default"].number().required()
  })).required()
});

exports["default"] = _default;